Bug 857451 - katello-configure fails with katello-jobs change to running failed
katello-configure fails with katello-jobs change to running failed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.0.1
Unspecified Unspecified
urgent Severity urgent (vote)
: Unspecified
: --
Assigned To: Jordan OMara
Og Maciel
: Triaged
Depends On:
Blocks: 857452
  Show dependency treegraph
 
Reported: 2012-09-14 09:21 EDT by Eric Sammons
Modified: 2014-11-09 17:56 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 857452 (view as bug list)
Environment:
Last Closed: 2012-12-12 10:21:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-09-14 09:21:45 EDT
Description of problem:
During the configuration process, katello-configure will fail when attempting to start katello-jobs.

Version-Release number of selected component (if applicable):
katello-common-1.1.12-1.git.29.d796c20.fc16.noarch

Steps to Reproduce:
1. yum install -y katello-headpin-all
2. katello-configure --deployment=headpin
  
Actual results:
/usr/share/katello/app/models/user.rb:18: uninitialized constant Glue::Pulp (NameError)
        from /usr/share/katello/app/models/cp_consumer_user.rb:13
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb:138:in `eager_load!'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb:137:in `each'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb:137:in `eager_load!'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb:135:in `each'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/engine.rb:135:in `eager_load!'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:108:in `eager_load!'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application/finisher.rb:41
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:25:in `instance_exec'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:25:in `run'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:50:in `run_initializers'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:49:in `each'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/initializable.rb:49:in `run_initializers'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:134:in `initialize!'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:77:in `send'
        from /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:77:in `method_missing'
        from /usr/share/katello/config/environment.rb:5
        from script/delayed_job:3:in `require'
        from script/delayed_job:3

Expected results:
katello-jobs should be started and the deployment accessible.
Comment 2 Jordan OMara 2012-09-14 10:45:21 EDT
https://github.com/Katello/katello/pull/668
Comment 3 Eric Sammons 2012-09-14 14:07:37 EDT
This is the error from the command line, this is from an install which does _not_ include the latest fix.  For notation only.

err: /Stage[main]/Katello::Service/Service[katello-jobs]/ensure: change from stopped to running failed: Could not start Service[katello-jobs]: Execution of '/sbin/service katello-jobs start' returned 1: at /usr/share/katello/install/puppet/modules/katello/manifests/service.pp:21
Comment 4 Og Maciel 2012-09-26 16:25:54 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-9.el6cf.noarch
* katello-all-1.1.12-9.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-5.el6cf.noarch
* katello-cli-common-1.1.8-5.el6cf.noarch
* katello-common-1.1.12-9.el6cf.noarch
* katello-configure-1.1.9-4.el6cf.noarch
* katello-glue-candlepin-1.1.12-9.el6cf.noarch
* katello-glue-pulp-1.1.12-9.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 5 James Laska 2012-12-12 10:21:14 EST
CloudForms-1.1 shipped with katello-1.1.12-22.el6cf, candlepin-0.7.8.1-1.el6cf  and pulp-1.1.14-1.el6cf

Marking this bug CLOSED CURRENTRELEASE.  Please reopen if the problem has not   been addressed in the 1.1 product.
Comment 6 Mike McCune 2013-08-16 14:07:38 EDT
getting rid of 6.0.0 version since that doesn't exist

Note You need to log in before you can comment on or make changes to this bug.